APIs / StepStone / Jobs

StepStone: Jobs

Jobs from StepStone as JSON. 1 credit per successful call.

GET /v1/stepstone/jobs

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
querystringRequiredUp to 500 characters
locationstringOptionalUp to 200 characters
countrystringOptionalde, at, nl, be
radiusintegerOptionalAny
sortstringOptionalrelevance, date
job_typestringOptionalfull_time, part_time
work_from_homebooleanOptionalAny
date_postedintegerOptional1, 3, 7, 30
pageintegerOptionalAny
limitintegerOptionalAny

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/stepstone/jobs?query=Software+Engineer&location=Berlin&country=de&sort=date&limit=25" \
  -H "X-API-Key: $API_KEY"